%global srcname uswid

Name:           python-%{srcname}
Version:        0.4.1
Release:        %autorelease
Summary:        Python module for working with Firmware SBoMs

License:        LGPL-2.1-or-later
URL:            https://github.com/hughsie/python-uswid
Source:         %{pypi_source %{srcname}}

BuildArch:      noarch

%global _description %{expand:
Software Identification (SWID) tags provide an extensible XML-based structure to
identify and describe individual software components, patches, and installation
bundles. XML SWID tag representations can be too large for devices with network
and storage constraints.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-cbor2
BuildRequires:  python3-lxml
BuildRequires:  python3-pefile

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '/^#!\//, 1d' %{srcname}/*.py

%build
%py3_build

%install
%py3_install

%check
#%{python3} setup.py test
%pytest

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/uswid

%changelog
%autochangelog
